Note: Version v201902 will be sunset soon. All users of those versions must migrate to a newer one.

enum CreativeSetError.Reason (v201908)

The reasons for the target error.


Namespace
https://www.google.com/apis/ads/publisher/v201908
Enumeration Description
VIDEO_FEATURE_REQUIRED The 'video' feature is required but not enabled.
CANNOT_CREATE_OR_UPDATE_VIDEO_CREATIVES Video creatives (including overlays, VAST redirects, etc..) cannot be created or updated through the API.
ROADBLOCK_FEATURE_REQUIRED The 'roadblock' feature is required but not enabled.
MASTER_CREATIVE_CANNOT_BE_COMPANION A master creative cannot be a companion creative in the same creative set.
INVALID_ADVERTISER Creatives in a creative set must be for the same advertiser.
UPDATE_MASTER_CREATIVE_NOT_ALLOWED Updating a master creative in a creative set is not allowed.
MASTER_CREATIVE_CANNOT_BELONG_TO_MULTIPLE_VIDEO_CREATIVE_SETS A master creative must belong to only one video creative set.
UNKNOWN The value returned if the actual value is not exposed by the requested API version.